Bug 497047 - kernel: add some long-missing capabilities to fs_mask
kernel: add some long-missing capabilities to fs_mask
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
reported=20090422,public=20090311,sou...
: Security
Depends On: 497268 497269 497270 497271 497272
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 02:54 EDT by Eugene Teo (Security Response)
Modified: 2015-05-04 21:26 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2009-04-22 02:54:49 EDT
Description of problem:
When POSIX capabilities were introduced during the 2.1 Linux cycle, the fs mask, which represents the capabilities which having fsuid==0 is supposed to grant, did not include CAP_MKNOD and CAP_LINUX_IMMUTABLE.  However, before capabilities the privilege to call these did in fact depend upon fsuid==0.

This patch introduces those capabilities into the fsmask, restoring the old behavior.

See the thread starting at http://lkml.org/lkml/2009/3/11/157 for reference.

Note that if this fix is deemed valid, then earlier kernel versions (2.4 and 2.2) ought to be fixed too.

Changelog:
	[Mar 23] Actually delete old CAP_FS_SET definition...
	[Mar 20] Updated against J. Bruce Fields's patch

Upstream commit:
http://git.kernel.org/linus/0ad30b8fd5fe798aae80df6344b415d8309342cc
Comment 2 Eugene Teo (Security Response) 2009-04-22 23:37:35 EDT
http://lwn.net/Articles/328572/
Comment 9 Lachlan McIlroy 2009-05-28 21:34:08 EDT
Add issue 296769.
Comment 10 errata-xmlrpc 2009-06-03 11:37:00 EDT
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2009:1081 https://rhn.redhat.com/errata/RHSA-2009-1081.html

Note You need to log in before you can comment on or make changes to this bug.